<?php

function accessible_content_load_tests_json() {
  $tests = _accessible_content_get_quail_tests();
  $result = array();
  $existing_tests = db_select('accessibility_test', 't')
                      ->fields('t', array('quail_name', 'test_id'))
                      ->condition('status', 1)
                      ->execute()
                      ->fetchAllKeyed();
  foreach ($tests as $test_name => $test) {
    if (isset($existing_tests[$test_name])) {
      $test->accessible_content_test_id = $existing_tests[$test_name];
      $result[$test_name] = $test;
    }
  }
  drupal_json_output(array('guideline' => array_keys($result), 'tests' => $result));
}

function accessible_content_init() {
  static $init;
  if ($init) {
    return;
  }
  $init = TRUE;
  if (!user_access('check content for accessibility')) {
    return;
  }
  $library_path = libraries_get_path('quail');
  $settings = array();
  $settings['quail_path'] = $library_path . '/src/resources';
  $settings['show_default'] = variable_get('accessible_content_auto_check', FALSE);
  $settings['show_toggle'] = variable_get('accessible_content_show_toggle', FALSE);
  $settings['toggle']['off_message'] = variable_get('accessible_content_toggle_message_off', t('Check page for accessibility'));
  $settings['toggle']['on_message'] = variable_get('accessible_content_toggle_message_on', t('Hide checks for accessibility'));
  $settings['use_beautytips'] = (module_exists('beautytips') && variable_get('accessible_content_use_beautytips', TRUE));
  
  if ($settings['use_beautytips']) {
    $style = variable_get('beautytips_default_style', 'default');
    beautytips_add_beautytips(array('accessible_content' => array('style' => $style)));
  }
  
  $library_path = libraries_get_path('quail');
  drupal_add_js($library_path . '/src/quail.js');
  drupal_add_js(array('accessible_content' => $settings), 'setting');
  drupal_add_js(drupal_get_path('module', 'accessible_content') . '/js/accessible_content.js');
  drupal_add_css(drupal_get_path('module', 'accessible_content') . '/css/accessible_content.css');
}

function _accessible_content_field_pre_render($element) {
  $element['#prefix'] = (isset($element['#prefix'])) ? $element['#prefix'] : '';
  $element['#suffix'] = (isset($element['#suffix'])) ? $element['#suffix'] : '';
  $element['#prefix'] .= '<span class="ac-check-field">';
  $element['#suffix'] .= '</span>';
  return $element;
}