<?php

/**
 * @file
 * Contains a Views field handler to take care of displaying edit links
 * as fields
 */


class accessible_content_handler_edit_link_field extends accessible_content_handler_link_field {
  function construct() {
    parent::construct();
    $this->additional_fields['test_id'] = 'test_id';
  }


  function render($values) {
    $type = $values->{$this->aliases['test_id']};
    
    //Creating a dummy accessible_content to check access against
    $dummy_accessible_content = (object) array('type' => $type);
    if (!accessible_content_test_access('edit', $dummy_accessible_content)) {
      return;
    }
    
    $text = !empty($this->options['text']) ? $this->options['text'] : t('edit');
    $accessible_content_id = $values->{$this->aliases['test_id']};
    
    return l($text, 'accessibility-test/' . $accessible_content_id . '/edit');
  }
}
